
  <div class="mat-input-search">
    <mat-form-field>
      <span matPrefix>
      </span>
      <input type="tel"
            matInput
            placeholder="Search"
            name= "search"
            [(ngModel)]= "search">
      <button matSuffix
              mat-button
              style="border: unset; background: unset;">
        <mat-icon class='search-icon' color="primary" matPrefix style="background: unset; color: rgb(0, 0, 0);">search</mat-icon>
      </button>
    </mat-form-field>
  </div>

  <div class="parent-check">
    <mat-checkbox
      [(ngModel)]="allDisplayed"
      (ngModelChange)="updateMdsList()"
      [indeterminate]="someComplete()"
      (change)="setAll($event.checked)"
      >
      Mediaservers
    </mat-checkbox>
  </div>

  <div class="expendable-div ">
    <div class="child-check" *ngFor="let mds of mdsList | filter: search">
      <mat-checkbox
        *ngIf="(mdsList | filter: search).length != 0"
        [(ngModel)]="mds.displayed"
        (ngModelChange)="updateAllDisplayed(); updateMdsList()"
        >
        {{mds.name}}
    </mat-checkbox>
    </div>
  </div>

